Subject: Re: [bug#37012] [PATCH] gnu: mingw: Add x86_64 support.

From: Jan Nieuwenhuizen <[email-masked]>
Date: Wed, 14 Aug 2019 20:40:46 +0200

Carl Dong writes:

Hello Carl,

> Here's the updated patch that I've tested. Let me know if this works for you! :-)

Thanks!

> From e6df2d6f9b47b02abec01a16f2d0b1271dcec1d2 Mon Sep 17 00:00:00 2001
> From: Carl Dong <[email-masked]>
> Date: Wed, 14 Aug 2019 13:46:53 -0400
> Subject: [PATCH] gnu: mingw: Add x86_64 support.

It looks good and I can compile `hello'; the traditional 32 bit version:

    ./pre-inst-env guix build --target=i686-w64-mingw32 hello

and now also

    ./pre-inst-env guix build --target=x86_64-w64-mingw32 hello

However, while the 32 bit still works for me, the 64 bit version does
not.  How is that for you?  Do you have any idea how to verify if the
x86_64 hello.exe is OK or how to debug that?

--8<---------------cut here---------------start------------->8---
20:33:04 janneke@dundal:~/src/guix/wip [env]
$ file /gnu/store/4hayc4wmxz0b0bw555n5gny7xkhg7w6y-hello-2.10/bin/hello.exe
/gnu/store/4hayc4wmxz0b0bw555n5gny7xkhg7w6y-hello-2.10/bin/hello.exe: PE32 executable (console) Intel 80386, for MS Windows
20:34:04 janneke@dundal:~/src/guix/wip [env]
$ guix environment --ad-hoc wine -- wine /gnu/store/4hayc4wmxz0b0bw555n5gny7xkhg7w6y-hello-2.10/bin/hello.exe 
Hello, world!
20:34:14 janneke@dundal:~/src/guix/wip [env]
$ file /gnu/store/v83ag9ahcg5g5qp06rlvjmvrydyriv7p-hello-2.10/bin/hello.exe 
/gnu/store/v83ag9ahcg5g5qp06rlvjmvrydyriv7p-hello-2.10/bin/hello.exe: PE32+ executable (console) x86-64, for MS Windows
20:34:22 janneke@dundal:~/src/guix/wip [env]
$ guix environment --ad-hoc wine -- wine /gnu/store/v83ag9ahcg5g5qp06rlvjmvrydyriv7p-hello-2.10/bin/hello.exe
wine: Bad EXE format for Z:\gnu\store\v83ag9ahcg5g5qp06rlvjmvrydyriv7p-hello-2.10\bin\hello.exe.
[193]
--8<---------------cut here---------------end--------------->8---

Possibly I'm even using wine wrong?

Other than that the patch looks fine.  It would be nice if we knew
wether the 64bit version can produce something useful, though.  Can
you/someone please shed some light on that?

Greetings,
janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com